import {NextPage} from 'next';
import * as Iceform from '@modal-sh/iceform-next';
import {noteCollection} from '@/handlers/note';

const ActionNotesCollectionPage: NextPage = () => null;

// this serves as an ID to associate the action URL to the API URL
const RESOURCE_BASE_PATH = '/api/notes';

const getServerSideProps = Iceform.action.getServerSideProps({
	fn: noteCollection({
		basePath: RESOURCE_BASE_PATH
	}),
	mapLocationToRedirectDestination: (referer, url) => {
		const resourceBaseUrl = `${RESOURCE_BASE_PATH}/`;
		if (url.startsWith(resourceBaseUrl)) {
			return `/notes/${url.slice(resourceBaseUrl.length)}`;
		}
		return referer;
	},
});

export {
	getServerSideProps,
	ActionNotesCollectionPage as default,
};
